1. Payouts
Almara Pay Documentation
  • Introduction
  • Definitions
    • Data Types
    • Error Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Account Validation
    • Overview
    • Account Number Validation Request
      POST
    • Find KYC Status by SystemTraceAuditNumber
      GET
    • Account Validation
      POST
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number
  1. Payouts

Payment Order Requests - Bank Transfers

Developing
POST
/v1/payment-order/new-order
Description
Almara Pay supports outbound payments (B2C) via Bank Transfers
Bank Name, Bank Code and Bank Account Number are Mandatory

Note: A valid token is required for authentication as it expires after every hour. Refer to Token Request to generate a new token.

Sample Bank request#

{
  "originatorConversationId": "{{$guid}}",
  "paymentNotes": "Bank Transfer",
  "paymentOrderLines": [
    {
      "remitter": {
        "name": "Frank Ocean",//Mandatory
        "address": "Missisipi River",//Mandatory
        "emailAddress":"frankyfrank@gmail.com",
        "phoneNumber": "+254714623456",//Mandatory
        "idType": "PASSPORT",//Mandatory.
        "idNumber": "GS1002223",//mandatory
        "idExpiryDate": "2026-04-03",//Mandatory YYYY-MM-DD
        "country": "KEN",//Mandatory.Alpha 3 country code
        "ccy": 404,//Correct currency code must be passed of the remitter
        "financialInstitution": "BANK",//Mandatory
        "sourceOfFunds": "SALARY",//Mandatory.
        "principalActivity": "individual",
        "dateOfBirth": "1989-05-14",//Mandatory  yyyy-mm-dd
        "nationality": "KEN",//Mandatory.Alpha 3 country code
        "occupation": "Software Developer"//Mandatory
      },
      "recipient": {
        "name": "James Onyango",//Mandatory
        "address": "{{$randomStreetAddress}}",
        "emailAddress": "{{$randomEmail}}",
        "phoneNumber": "+255745908755",//Mandatory.
        "idType": "NATIONALID",
        "idNumber": "23426672",
        "mccmnc":"64005",//mandatory, //Mobile Country Code + Mobile Network Code
        "financialInstitution": "Kenya Commercial Bank",//Mandatory-  Bank Name
        "institutionIdentifier": "01",//Mandatory- Bank Code
        "primaryAccountNumber": "0110000021",//Mandatory  - Bank Account Number
        "ccy": 404,//Correct currency code must be passed of the recipient
        "country": "KEN",//Mandatory.Alpha 3 country code
        "purpose": "Savings",//Mandatory.
        "nationality":"KEN"
      },
      "transaction": {
        "routeId": "547ededc-27ba-f011-a072-06468fc62cf9",
        "ChannelType": 213,
        "amount": 12,
        "reference": "TESTING Bank Transfer",
        "systemTraceAuditNumber": "{{$guid}}"
      },
   
    }
  ]
}

Request

Authorization

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/payment-order/new-order'
Response Response Example
{}
Modified at 2026-04-30 06:16:26
Previous
Payment Order Requests - Business Transfers
Next
Find Payment Order By OriginatorConversationId
Built with